.our_happy_client-parent {
    width: 100%;
    background-color: var(--secondary-color);
    margin: 2% 0;
    padding: 2%;
    height: auto;
}

.our_happy_client {
    display: flex;
    justify-content: center;
    gap: 50px;
    color: #fff;
    font-family: var(--secondary-font-family);
    font-size: var(--desktop-subheading-font-size);
    font-weight: var(--custom-subheading-font-weight);
    line-height: var(--desktop-subheading-line-height);
    letter-spacing: var(--desktop-subheading-letter-spacing);
}

/* Carousel Styles */
.carousel-container {
    width: 100%;
    max-width: 1600px;
    position: relative;
}


.carousel-wrapper {
    overflow: hidden;
}

.carousel {
    display: flex;
    transition: transform 0.5s ease-in-out;
}

.testimonial {
    min-width: 50%;
    padding: 40px;
    height: 100%;
}

.testimonial-content {
    background-color: white;
    padding: 20px;
    border-radius: 5px;
    text-align: left;
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}


.testonomial-content-pareagraph {
    width: 100%;
    font-size: var(--desktop-subparagraph-font-size);
    font-weight: var(--desktop-subparagraph-font-weight);
    line-height: var(--desktop-subparagraph-line-height);
    text-align: left;
}

.testimonial-lower-div-name,
.testimonial-lower-div-title {
    font-size: var(--desktop-paragraph-font-size);
    line-height: var(--desktop-paragraph-line-height);
    text-align: left;
}

.testimonial-lower-div-name {
    font-weight: var(--desktop-subheading-font-weight);
}

.testimonial-lower-div-title {
    font-weight: var(--desktop-subparagraph-font-weight);
}


/* Carousel Navigation */
.carousel-prev,
.carousel-next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: white;
    border: none;
    padding: 10px;
    cursor: pointer;
    font-size: 1.5rem;
    border-radius: 50%;
    /* width: 4%; */
}

.carousel-prev {
    left: 0px;
}

.carousel-next {
    right: 0px;
}

/* Lines below the carousel */
.carousel-lines {
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 20px;
}

.line {
    height: 3px;
    width: 30px;
    background-color: #fff;
    margin: 0 5px;
    transition: all 0.3s ease;
    cursor: pointer;

}

.line.active {
    background-color: #fff;
    width: 100px;
}

.testimonial-star-upper-div,
.testimonial-lower-div {
    display: flex;
    justify-content: left;
    align-items: center;
    gap: 10px;
    margin: 20px 0;
}


/* Add responsive CSS at the bottom of your styles.css */
@media (max-width: 768px) {
    .testimonial {
        min-width: 100%;
    }

    .carousel {
        justify-content: flex-start;
    }

    .line {
        width: 20px;
    }

    .line.active {
        width: 60px;
    }

    .our_happy_client {
        font-size: var(--mobile-subheading-font-size);
        line-height: var(--mobile-subheading-line-height);
        letter-spacing: var(--mobile-subheading-letter-spacing);
        text-align: center;

    }

    .carousel-prev,
    .carousel-next {
        width: 6%;
    }


    .testimonial-lower-div-name,
    .testimonial-lower-div-title {
        font-size: var(--mobile-paragraph-font-size);
        line-height: var(--mobile-paragraph-line-height);
    }
}

@media (max-width: 576px) {

    .carousel-prev,
    .carousel-next {
        width: 10%;
    }
}